﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void OnInsert(object sender, EventArgs e)
    {
        int customerId;
        string query = "INSERT INTO Customers(Name, Country) VALUES(@Name, @Country)";
        query += " SELECT SCOPE_IDENTITY()";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                cmd.Parameters.AddWithValue("@Name", txtName.Text);
                cmd.Parameters.AddWithValue("@Country", ddlCountries.SelectedItem.Text);
                cmd.Connection = con;
                con.Open();
                customerId = Convert.ToInt32(cmd.ExecuteScalar());
                con.Close();
            }
        }

        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Inserted Customer ID: " + customerId + "');", true);
    }
}